### Method

# EDataServer SoupSession get_authentication_requires_credentials

since: 3.28

#### Declaration [src]

    gboolean
    e_soup_session_get_authentication_requires_credentials (
      ESoupSession* session
    )

#### Description

No description available.

Available since: 3.28

#### Return value

Type: `gboolean`

Whether the last connection attempt required any credentials. Authentications like OAuth2 do not want extra credentials to work.